ZipArchive::extractTo
ZipArchive::getCommentIndex
ZipArchive
PHP Manual

# ZipArchive::getArchiveComment

(PHP 5 >= 5.2.0, PECL zip >= 1.1.0)

ZipArchive::getArchiveComment — Returns the Zip archive comment

### Description

string ZipArchive::getArchiveComment ([ int `$flags` ] )

Returns the Zip archive comment.

### Parameters

`flags`

  If flags is set to `ZipArchive::FL_UNCHANGED`, the original unchanged comment is returned.

### Return Values

Returns the Zip archive comment or `FALSE` on failure.

### Examples

Example #1 Dump an archive comment

`<?php
$zip = new ZipArchive;
$res = $zip->open('test_with_comment.zip');
if ($res === TRUE) {
var_dump($zip->getArchiveComment());
/* Or using the archive property */
var_dump($zip->comment);
} else {
echo 'failed, code:' . $res;
}
?>`

ZipArchive::extractTo
ZipArchive::getCommentIndex
ZipArchive
PHP Manual